Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.core.v1
Class PswcSupportType

    java.lang.Object
      be.fgov.ehealth.mediprima.core.v1.PswcSupportType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-04-04T03:57:46+02:00",
               comments="JAXB RI v2.3.6")
    public class PswcSupportType

extends Object
implements Serializable

Support of a CPAS / OCMW

Java class for PswcSupportType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PswcSupportType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ZivAmiPart" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="PatientPart" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Supplement" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Convention" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Prescription" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PswcSupportType()`

Method Summary
`String` | `getPatientPart()` Gets the value of the patientPart property.
`String` | `getSupplement()` Gets the value of the supplement property.
`String` | `getZivAmiPart()` Gets the value of the zivAmiPart property.
`Boolean` | `isConvention()` Gets the value of the convention property.
`Boolean` | `isPrescription()` Gets the value of the prescription property.
`void` | `setConvention(Boolean value)` Sets the value of the convention property.
`void` | `setPatientPart(String value)` Sets the value of the patientPart property.
`void` | `setPrescription(Boolean value)` Sets the value of the prescription property.
`void` | `setSupplement(String value)` Sets the value of the supplement property.
`void` | `setZivAmiPart(String value)` Sets the value of the zivAmiPart property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PswcSupportType

    public PswcSupportType()

Method Detail

### getZivAmiPart

    public String getZivAmiPart()

  Gets the value of the zivAmiPart property.

  Returns:
    possible object is `String`

### setZivAmiPart

    public void setZivAmiPart(String value)

  Sets the value of the zivAmiPart property.

  Parameters:
    `value` - allowed object is `String`

### getPatientPart

    public String getPatientPart()

  Gets the value of the patientPart property.

  Returns:
    possible object is `String`

### setPatientPart

    public void setPatientPart(String value)

  Sets the value of the patientPart property.

  Parameters:
    `value` - allowed object is `String`

### getSupplement

    public String getSupplement()

  Gets the value of the supplement property.

  Returns:
    possible object is `String`

### setSupplement

    public void setSupplement(String value)

  Sets the value of the supplement property.

  Parameters:
    `value` - allowed object is `String`

### isConvention

    public Boolean isConvention()

  Gets the value of the convention property.

  Returns:
    possible object is `Boolean`

### setConvention

    public void setConvention(Boolean value)

  Sets the value of the convention property.

  Parameters:
    `value` - allowed object is `Boolean`

### isPrescription

    public Boolean isPrescription()

  Gets the value of the prescription property.

  Returns:
    possible object is `Boolean`

### setPrescription

    public void setPrescription(Boolean value)

  Sets the value of the prescription property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.